Bug 49772 - rdesktop: Multiple issues (4.4)
rdesktop: Multiple issues (4.4)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Security updates
UCS 4.4
All Linux
: P5 normal (vote)
: UCS 4.4-0-errata
Assigned To: Quality Assurance
Philipp Hahn
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-07-01 16:18 CEST by Philipp Hahn
Modified: 2019-07-03 14:16 CEST (History)
0 users

See Also:
What kind of report is it?: Security Issue
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score: 0.0 ()


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Hahn univentionstaff 2019-07-01 16:18:44 CEST
New Debian rdesktop 1.8.6-2~deb9u1 fixes:
This update addresses the following issue:
* Fix multiple unnamed security issues which could result in denial of service and the execution of arbitrary code.
Comment 1 Quality Assurance univentionstaff 2019-07-01 17:01:12 CEST
--- mirror/ftp/4.4/unmaintained/4.4-0/source/rdesktop_1.8.4-1~deb9u1.dsc
+++ apt/ucs_4.4-0-errata4.4-0/source/rdesktop_1.8.6-2~deb9u1.dsc
@@ -1,8 +1,18 @@
-1.8.4-1~deb9u1 [Sun, 03 Feb 2019 09:38:27 +0000] Laszlo Boszormenyi (GCS) <gcs@debian.org>:
+1.8.6-2~deb9u1 [Thu, 27 Jun 2019 21:40:22 +0200] Salvatore Bonaccorso <carnil@debian.org>:
 
-  * Security backport for Stretch.
-  * Relax debhelper build dependency.
-  * Relax Standards-Version to 3.9.8 .
+  * Non-maintainer upload by the Security Team.
+  * Rebuild for stretch-security
+  * Relax debhelper build dependency
+  * Relax Standards-Version to 3.9.8
+
+1.8.6-2 [Fri, 14 Jun 2019 15:32:25 +0000] Laszlo Boszormenyi (GCS) <gcs@debian.org>:
+
+  * Backport fixed version number and typo.
+  * Backport sec_decrypt() the correct amount of data (closes: #930511).
+
+1.8.6-1 [Mon, 10 Jun 2019 07:16:21 +0000] Laszlo Boszormenyi (GCS) <gcs@debian.org>:
+
+  * New upstream release, including many security fixes.
 
 1.8.4-1 [Mon, 07 Jan 2019 23:03:14 +0000] Laszlo Boszormenyi (GCS) <gcs@debian.org>:
 

<http://10.200.17.11/4.4-0/#6884178699287638443>
Comment 2 Philipp Hahn univentionstaff 2019-07-01 17:09:40 CEST
OK: yaml
OK: announce_errata
OK: patch
OK: piuparts

[4.4-0] 61f6a8c55c Bug #49772: rdesktop_1.8.6-2~deb9u1
 doc/errata/staging/rdesktop.yaml | 15 +++++++++++++++
 1 file changed, 15 insertions(+)
Comment 3 Arvid Requate univentionstaff 2019-07-03 14:16:25 CEST
<http://errata.software-univention.de/ucs/4.4/171.html>